﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace MySQLBugRepro
{
    class Program
    {
        static void Main(string[] args)
        {
            BugReproEntities entities = new BugReproEntities();
            var parents = from p in entities.LOADING_STATION
                          select p;

            parents.ToList().ForEach(p => 
                {
                    p.PAGING_DEVICE.Load();
                    Console.WriteLine("{0} has {1} pagers(s)", p.NAME, p.PAGING_DEVICE.Count);
                    foreach (PAGING_DEVICE v in p.PAGING_DEVICE)
                    {
                        Console.WriteLine("\tType: {0}", v.GetType().Name);             

                    }
                });

            Console.ReadLine();
        }
    }
}
